function lbmap = show_2dsegs( obj, varargin )

lbmap = [];
if nargout == 1
    lbmap = util_show_2dsegs(obj.m_seglbs_per_sketchpts,obj.m_sketchimg,'showseglbs',true);
else
    util_show_2dsegs(obj.m_seglbs_per_sketchpts,obj.m_sketchimg,'showseglbs',true);
end
% pp = inputParser;
% pp.addParamValue('seglbs',unique(obj.m_seglbs_per_sketchpts));
% pp.parse(varargin{:});
% 
% seglbshow = pp.Results.seglbs;
% 
% seglbspts = obj.m_seglbs_per_sketchpts;
% tf = ismember(seglbspts,seglbshow);
% seglbspts(~tf) = 0;
% 
% lbmap = zeros(size(obj.m_sketchimg));
% lbmap(obj.m_sketchimg) = seglbspts;
% 
% if nargout == 0
%     img = util_label2rgb(lbmap);
%     imshow(img);
%     lbmap = [];
% end

end

